import Layout from '@/layout';

const usersRoutes = {
  path: '/users',
  component: Layout,
  redirect: '/user/index',
  name: 'users',
  alwaysShow: true,
  meta: {
    title: '用户管理',
    icon: 'peoples',
    permissions: ['view menu administrator'],
  },
  children: [
    {
      path: 'userlist',
      component: () => import('@/views/user/index'),
      name: 'Userlist',
      meta: { title: '用户列表', icon: 'user', permissions: ['manage user'] },
    },
    {
      path: 'wechat',
      component: () => import('@/views/wx_user'),
      name: 'wechat',
      meta: { title: 'wx_user', icon: 'wechat' },
    },
    {
      path: 'installer',
      component: () => import('@/views/user/installer'),
      name: 'Installer',
      meta: { title: '装维人员', icon: 'role' },
    },
    {
      path: 'userStatus',
      component: () => import('@/views/user/userStatus'),
      name: 'userStatus',
      meta: { title: '用户状态', icon: 'userstutus', permissions: ['manage user'] },
    },
  ],
};
export default usersRoutes;
